Skip to content

Referral

Referral functions

Create an application

Request

Create an application with the provided data

Security
bearer-jwt
Path
product-idstringrequired

The product id provided by RAI.

Headers
API-Versionstring
Value:"2.0.0"
Bodyapplication/jsonrequired

The information to use for the application.

applicantobject(Applicant)required

The information of the person applying.

spouseSpouseInformation (object) or null
One of:
consentsobject(Consents)required

The applicant's various consents.

referrerReferrer (object) or null
One of:

The referrer information.

metadataMetadata (object) or null
One of:
marketingCampaignMarketingCampaign (object) or null
One of:
advertisedTermsAdvertisedTerms (object) or null
One of:
productstringrequired

The product applied for.

Example:"Visa Signature"
militaryLendingActboolean

Whether this application is subject to the Military Lending Act.

Default:false
Example:false
curl -i -X POST \
  'https://api-docs.raipartners.com/_mock/apis/referral-api-v2/application/{product-id}' \
  -H 'API-Version: 2.0.0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "applicant": {
      "identity": {
        "name": {
          "first": "John",
          "last": "Smith",
          "middle": "James"
        },
        "birthDate": "2000-01-31",
        "socialSecurityNumber": 123456789
      },
      "email": "myemail@email.com",
      "phoneNumber": "1234567890",
      "address": {
        "line1": "1 Main St",
        "line2": "Apt 35",
        "city": "Dallas",
        "state": "TX",
        "zipCode": "75000"
      },
      "income": {
        "annualIncome": 30000,
        "source": "Employment"
      },
      "expenses": {
        "monthlyHousing": 1000
      },
      "maritalStatus": "NotMarried",
      "creditInformation": {
        "score": 700,
        "bureau": "TransUnion",
        "inquiryType": "Soft",
        "notes": "BadAddressWarning=N, BankcardAccountsRevolvingBalance=003, BkTu=652, CurrentBalanceAmount=000018179, CreditCardUtilization=037, ..."
      },
      "identification": {
        "type": "DriverLicense",
        "countryCode": "USA",
        "state": "TX",
        "number": "012345678",
        "issuedDate": "2020-01-01",
        "expirationDate": "2030-01-01"
      }
    },
    "spouse": {
      "name": {
        "first": "John",
        "last": "Smith",
        "middle": "James"
      },
      "email": "myemail@email.com",
      "address": {
        "line1": "1 Main St",
        "line2": "Apt 35",
        "city": "Dallas",
        "state": "TX",
        "zipCode": "75000"
      }
    },
    "consents": {
      "contact": {
        "allowEmailContact": true,
        "allowPhoneContact": true,
        "allowSmsContact": true
      },
      "shareDataWithFI": true,
      "softPull": true
    },
    "referrer": {
      "channel": "Branch",
      "branchId": "AXJR01",
      "officeId": "OFF12",
      "employeeId": "EMP123"
    },
    "metadata": {
      "membershipType": "NonMember"
    },
    "marketingCampaign": {
      "identifier": "MKT123",
      "startDate": "2023-01-01",
      "endDate": "2023-12-31"
    },
    "advertisedTerms": {
      "apr": 19.99,
      "creditLimit": 15000
    },
    "product": "Visa Signature",
    "militaryLendingAct": false
  }'

Responses

The application was handled successfully.

Bodyapplication/json
idstring, (uuid)required

The application id.

Example:"2bb04ce6-daeb-422b-b8fd-686aa09e2c88"
urlstring, (uri)required

The application url to redirect to.

Example:"https://apply.groundworkcard.com/app/wizard/2bb04ce6-daeb-422b-b8fd-686aa09e2c88"
statusstringrequired

The application status.

Enum:"Pending""Approved""Declined"
Example:"Pending"
Response
{ "id": "2bb04ce6-daeb-422b-b8fd-686aa09e2c88", "url": "https://apply.groundworkcard.com/app/wizard/2bb04ce6-daeb-422b-b8fd-686aa09e2c88", "status": "Pending" }